Package com.scriptel.proscript.input

## Class DebugCoordinate

- java.lang.Object
- - com.scriptel.proscript.input.DebugCoordinate

-     public final class DebugCoordinate
      extends java.lang.Object

  This class represents a coordinate coming from a debug build of firmware for a ScripTouch device.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getOffset()` | Gets the offset
    `int` | `getRegion()` | Gets the region number.
    `int` | `getxErrCor()` | Gets the error corrected x.
    `int` | `getxMapped()` | Gets the mapped x.
    `int` | `getxMax()` | Gets the x maximum.
    `int` | `getxMin()` | Gets the x minimum.
    `int` | `getyErrCor()` | Gets the error corrected y.
    `int` | `getyMapped()` | Gets the mapped y.
    `int` | `getyMax()` | Gets the y maximum.
    `int` | `getyMin()` | Gets the y minimum.
    `boolean` | `isDataSource()` | Data source?
    `boolean` | `isPenDown()` | Is the pen down?
    `java.lang.String` | `toString()` | Prints this object as a human readable string.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Prints this object as a human readable string.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        Human readable string.

    - #### isPenDown

          public boolean isPenDown()

      Is the pen down?
      Returns:
        the penDown

    - #### isDataSource

          public boolean isDataSource()

      Data source?
      Returns:
        the dataSource

    - #### getOffset

          public int getOffset()

      Gets the offset
      Returns:
        the offset

    - #### getxMax

          public int getxMax()

      Gets the x maximum.
      Returns:
        the xMax

    - #### getxMin

          public int getxMin()

      Gets the x minimum.
      Returns:
        the xMin

    - #### getyMax

          public int getyMax()

      Gets the y maximum.
      Returns:
        the yMax

    - #### getyMin

          public int getyMin()

      Gets the y minimum.
      Returns:
        the yMin

    - #### getxErrCor

          public int getxErrCor()

      Gets the error corrected x.
      Returns:
        the xErrCor

    - #### getyErrCor

          public int getyErrCor()

      Gets the error corrected y.
      Returns:
        the yErrCor

    - #### getxMapped

          public int getxMapped()

      Gets the mapped x.
      Returns:
        the xMapped

    - #### getyMapped

          public int getyMapped()

      Gets the mapped y.
      Returns:
        the yMapped

    - #### getRegion

          public int getRegion()

      Gets the region number.
      Returns:
        the region